/*
 * Copyright 2026 CodingMarkus
 *
 * SPDX-License-Identifier: MIT
 */

body {
	padding-bottom: 0.8rem;
}

footer {
	color: #656d76;
	text-align: center;
}

footer p + p {
	margin-top: -0.75em;
	margin-bottom: 0;
	font-size: max(12px, 0.8em);
}

footer p:first-of-type {
	font-size: 0.9em;
}

footer hr {
	height: 0.1875rem;
	margin: 1.5em 0 0.75em;
	border: 0;
	background: linear-gradient(to right, transparent, #9daaf1 20%,
		#9daaf1 36%, #596fed 46%, #596fed 54%, #9daaf1 64%,
		transparent);
}

@media (prefers-color-scheme: dark) {
	footer {
		color: #8b949e;
	}

	footer hr {
		background: linear-gradient(to right, transparent, #4d5ba8 20%,
			#4d5ba8 36%, #9eafff 46%, #9eafff 54%, #4d5ba8 64%,
			transparent);
	}
}

@media (prefers-contrast: more) {
	footer {
		color: #000000;
	}

	footer hr {
		background: #000000;
	}
}

@media (prefers-contrast: more) and (prefers-color-scheme: dark) {
	footer {
		color: #e0e0e0;
	}

	footer hr {
		background: #e0e0e0;
	}
}
